@media (max-width: 1500px) {
  .gwt__case__wrapper > div.active .case__content {
    flex: 0 1 calc(35% - 2.5rem);
  }

  .gwt__case__wrapper > div.active .case__img {
    flex: 0 1 15%;
  }

  .blog__card h3 {
    max-width: 100%;
  }

  .blog__card {
    border-radius: 5rem;
    padding: 4rem;
  }

  .g__vector {
    right: -20.331vw;
    top: -8.258vw;
  }

  .g__vector svg {
    width: 49.688vw;
    height: 68.115vw;
  }
  .banner__text h1 {
    font-size: 3.725vw;
    line-height: 4.542vw;
  }

  .counter__container > div > p {
    width: 90%;
  }

  .case__all__content > div:first-child {
    max-width: 34.2rem;
  }
  .case__title h3 {
    line-height: 2.7rem;
    letter-spacing: -0.03em;
    width: 80%;
  }

  .case__images > div {
    max-width: 34.2rem;
  }

  .core-container > div.carousel-container > div p {
    width: 60%;
  }
}

@media (max-width: 992px) {
  .genesis__offer::before {
    display: none;
  }
  .gwt__case__wrapper > div .case__img {
    opacity: 1 !important;
    visibility: visible !important;
  }
  .banner__section {
    padding: 10rem 0;
    min-height: 100%;
  }
  .banner__text,
  .banner__expertise {
    width: 100%;
    height: 100%;
  }

  .banner__section::before {
    display: none;
  }

  .banner__text h1 {
    font-size: 8.125vw;
    line-height: 1.3;
  }
  .offer__card {
    padding: 3rem;
  }
  .offer__card h3 {
    max-width: 100%;
  }
  .offer__card--content {
    max-width: 100%;
  }

  .tech-circle {
    margin-top: 1.5rem;
  }

  .tech-circle__inner {
    display: flex;
    gap: 1.5rem;
    flex-wrap: nowrap;
    overflow: auto;
    scrollbar-width: none;
  }
  .banner__techused {
    animation: none;
    position: static;
    opacity: 1;
    animation: marquee 3s linear infinite alternate-reverse !important;
    min-width: 65px;
  }
  @keyframes marquee {
    0% {
      transform: translateX(0); /* Initial position (off-screen right) */
    }
    100% {
      transform: translateX(-100%); /* Final position (off-screen left) */
    }
  }

  .icon-label {
    display: none;
  }

  .gwt__portfolio--content {
    padding: 3rem;
  }

  .gwt__case__wrapper > div {
    gap: 1.5rem;
    padding: 2.5rem 0;
  }

  .gwt__case__wrapper > div > div {
    flex: 100% !important;
    padding: 0 2.5rem !important;
  }

  .case__img img {
    width: 100%;
    border-radius: 10px;
  }

  .case__title h3 {
    width: 100%;
  }

  .gwt__case__wrapper > div .view__btn {
    opacity: 1;
    visibility: visible;
  }

  .case__all__content,
  .case__data {
    display: none;
  }

  .case__img {
    order: -1;
  }

  .case__title {
    order: -2;
  }

  .slider-item {
    width: 700px;
  }

  .portfolio-content {
    width: 100%;
    height: auto;
    top: auto;
    bottom: 0;
    border-radius: 0 0 15px 15px;
  }

  .genesis__client--section {
    height: 100%;
    display: block;
  }

  .gwt__client--container {
    position: static;
    min-height: 100%;
    display: none;
  }

  .gwt__client--container > a {
    position: static;
    width: 100px;
    display: inline-block;
    padding: 10px;
  }

  .gwt__client--container > a img {
    padding: 0;
  }

  .gwt__client__mobile {
    display: block;
  }

  .gwt__client__mobile > a {
    width: 100px;
    display: inline-block;
    padding: 10px;
    animation: bubbles 2s ease-in-out infinite;
  }
  .gwt__client__mobile > a:nth-child(3n) {
    animation: bubbles-small 2s ease-in-out infinite;
  }

  .gwt__client__mobile > a:nth-child(3n + 1) {
    animation: bubbles-medium 1.8s ease-in-out infinite;
  }

  .gwt__client__mobile > a:nth-child(3n + 2) {
    animation: bubbles-large 2.5s ease-in-out infinite;
  }

  @keyframes bubbles {
    0% {
      transform: translateY(0) scale(0.5);
    }
    50% {
      transform: translateY(-10px) scale(1);
    }
    100% {
      transform: translateY(0) scale(0.5);
    }
  }

  @keyframes bubbles-small {
    50% {
      transform: translateY(-6px) scale(0.75);
    }
  }

  @keyframes bubbles-medium {
    50% {
      transform: translateY(-12px) scale(1);
    }
  }

  @keyframes bubbles-large {
    50% {
      transform: translateY(-18px) scale(0.75);
    }
  }

  .center-text {
    padding: 30px 0;
  }

  .overflow-auto {
    width: 100%;
    overflow-x: auto;
    scrollbar-width: none;
  }

  .alt__table__body > div > div:first-child,
  .alt__table__head > div:first-child {
    min-width: 50%;
  }

  .gwt__alternative__table {
    min-width: 1200px;
  }

  .core-container .carousel-container {
    align-items: inherit;
  }
  .core-container > div.carousel-container > div h3 {
    font-size: 2rem;
    line-height: 2.5rem;
  }

  .core-container > div.carousel-container > div > div {
    max-width: 100% !important;
    min-height: 400px !important;
    padding: 2.5rem;
  }
  .carousel-item {
    flex: 0 1 250px !important;
    margin: 0 !important;
    width: 100%;
    min-width: 300px;
  }

  .core-container > div.carousel-container > div p {
    width: 100% !important;
  }

  .carousel-btn,
  .slick-arrow {
    left: 5%;
  }
  .carousel-btn.next,
  .slick-next.slick-arrow {
    right: 5%;
  }

  .ripple-wrapper svg {
    width: 768px;
    height: 768px;
  }

  .review__img-item.active .review__img,
  .single__review__img .review__img {
    height: auto;
  }
}

@media (max-width: 832px) {
  .counter__container {
    min-height: 30rem;
  }
  .counter__container > div > p {
    width: 100%;
  }

  .why__card p {
    width: 100%;
  }

  .why__card h3 img {
    width: 75px;
    object-fit: contain;
    height: 75px;
  }

  .process-block {
    position: static;
    opacity: 1;
    padding-left: 55px;
    transform: none;
    min-height: auto;
  }

  .process__container::before {
    left: 21px;
  }

  .process-content,
  .process-content:last-child {
    width: 100%;
    text-align: left;
    padding: 0;
  }

  .process-block:nth-child(2n) .process-content:first-child {
    padding-left: 0;
  }

  .process-block {
    flex-wrap: wrap;
  }

  .marker {
    order: -1;
    position: absolute;
    margin-bottom: 1.5rem;
    left: 0;
    font-size: 1.5rem;
    width: 40px;
    height: 40px;
  }

  .process-tags > span {
    padding: 1rem 1.3rem;
    background: #ffffff;
    font-size: 1rem;
    margin-left: 0;
    margin-right: 0.8rem;
    position: relative;
  }

  .process-tags {
    margin-top: 2rem;
  }

  .process-content h3 {
    font-size: 2.2rem;
    margin-bottom: 0.5rem;
    font-weight: 500;
  }

  .review__images {
    height: 370px;
    margin-bottom: 30px;
  }

  .review__img-item.active .review__img {
    width: 250px;
    margin: auto;
  }

  .review__img-item:not(.active) {
    bottom: 20px;
    left: -40px;
    transform: scale(0.65);
  }

  .review__content h3 {
    font-size: 2.4rem;
    line-height: 3.5rem;
  }

  .review__content p {
    width: 100%;
    font-size: 1.8rem;
    line-height: 2.8rem;
  }
}

@media (max-width: 768px) {
  .offer__card {
    min-height: 100%;
  }

  .gwt__portfolio > a,
  .gwt__portfolio::before,
  .gwt__portfolio > a img {
    border-radius: 0;
  }

  .offer__card--icon {
    margin-top: 2.5rem;
  }

  .offer__card--icon img {
    width: 100px;
  }
  .gwt__portfolio--content {
    padding: 2.5rem;
  }
  .gwt__portfolio--content h3 {
    font-size: 3rem;
    letter-spacing: -0.03em;
  }

  .gwt__case__study .heading-wrap {
    width: 100%;
    flex-wrap: wrap;
    gap: 0;
  }

  .gwt__case__study .heading-wrap p {
    margin-bottom: 1.2rem;
  }

  .gwt__case__wrapper > div:first-child {
    border-radius: 10px 10px 0 0;
  }
  .gwt__case__wrapper > div:last-child {
    border-radius: 0 0 10px 10px;
  }

  .all__tech--icons > div {
    flex: 0 1 100px;
    width: 100px;
    height: 100px;
    min-width: 100px;
  }

  .all__tech--icons > div:nth-child(16n + 2),
  .all__tech--icons > div:nth-child(16n + 4),
  .all__tech--icons > div:nth-child(16n + 6),
  .all__tech--icons > div:nth-child(16n + 8) {
    background-color: transparent;
  }

  .all__tech--icons > div:nth-child(16n + 9),
  .all__tech--icons > div:nth-child(16n + 11),
  .all__tech--icons > div:nth-child(16n + 13),
  .all__tech--icons > div:nth-child(16n + 15) {
    background-color: transparent;
  }
  .all__tech--icons > div:nth-child(8n + 2),
  .all__tech--icons > div:nth-child(8n + 4),
  .all__tech--icons > div:nth-child(8n + 5),
  .all__tech--icons > div:nth-child(8n + 7) {
    background-color: #f2f2f2;
  }

  .genesis__offer::before {
    display: none;
  }

  .ripple-wrapper {
    display: none;
  }

  .all__tech--icons > div img {
    width: 40px;
  }

  .blog__card h3 {
    max-width: 100%;
  }

  .blog__card {
    min-height: 400px;
    padding: 3.5rem;
    border-radius: 3.5rem;
  }

  .blog__card > a.blog__btn {
    right: -2px;
    bottom: -2px;
  }

  .heading-wrap p br {
    display: none;
  }

  .accordion__item--body p {
    width: 100%;
  }

  .accordion__item--header h3 {
    font-size: 2.2rem;
  }

  .accordion__item--header h3::after {
    width: 30px;
    height: 30px;
    background-size: 8px;
  }

  .accordion__item:not(:last-child) {
    margin-bottom: 1.5rem;
    padding-bottom: 1.5rem;
  }
  .portfolio-content {
    position: static;
    padding: 20px;
    background: var(--gradient);
  }

  .slider-card {
    border-radius: 15px;
  }

  .portfolio-content h3 {
    font-size: 2.5rem;
    line-height: 1.5;
  }

  .slider-card > a {
    border-radius: 15px 15px 0 0;
    height: 300px;
  }

  .slider-card > a img {
    border-radius: 15px 15px 0 0;
  }

  .industry__slider--thumb > div img {
    height: 50px;
  }
}

@media (max-width: 480px) {
  .slider-item {
    width: 100%;
    max-width: 100%;
    margin: 0 15px;
  }
}
